Bug 868695 - error: cannot invoke close() - perform() is currently running
error: cannot invoke close() - perform() is currently running
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
abrt_hash:7f5c657e26cceb1864a15c8170a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 16:01 EDT by Juan Orti
Modified: 2012-12-07 23:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 23:31:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (137.25 KB, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: product (6 bytes, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: type (9 bytes, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: storage.log (33.07 KB, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: version (11 bytes, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: environ (760 bytes, text/plain)
2012-10-21 16:01 EDT, Juan Orti
no flags Details
File: anaconda.log (1.75 KB, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details
File: syslog (58.09 KB, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details
File: packaging.log (1.19 KB, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details
File: release (24 bytes, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details
File: program.log (17.32 KB, text/plain)
2012-10-21 16:02 EDT, Juan Orti
no flags Details

  None (edit)
Description Juan Orti 2012-10-21 16:01:42 EDT
Description of problem:
Booting Fedora18-beta-TC6 x86_64 in a kvm virtual machine

Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib/python2.7/site-packages/urlgrabber/grabber.py", line 1902, in reset_curl_obj
:    _curl_cache.close()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 697, in resetResolver
:    urlgrabber.grabber.reset_curl_obj()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 118, in getHostname
:    resetResolver()
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/network.py", line 898, in networkInitialize
:    hostname = getHostname()
:  File "/sbin/anaconda", line 954, in <module>
:    networkInitialize(ksdata)
:error: cannot invoke close() - perform() is currently running
Comment 1 Juan Orti 2012-10-21 16:01:46 EDT
Created attachment 631001 [details]
File: anaconda-tb
Comment 2 Juan Orti 2012-10-21 16:01:48 EDT
Created attachment 631002 [details]
File: product
Comment 3 Juan Orti 2012-10-21 16:01:50 EDT
Created attachment 631003 [details]
File: type
Comment 4 Juan Orti 2012-10-21 16:01:51 EDT
Created attachment 631004 [details]
File: ifcfg.log
Comment 5 Juan Orti 2012-10-21 16:01:54 EDT
Created attachment 631005 [details]
File: storage.log
Comment 6 Juan Orti 2012-10-21 16:01:56 EDT
Created attachment 631006 [details]
File: version
Comment 7 Juan Orti 2012-10-21 16:01:58 EDT
Created attachment 631007 [details]
File: environ
Comment 8 Juan Orti 2012-10-21 16:02:00 EDT
Created attachment 631008 [details]
File: anaconda.log
Comment 9 Juan Orti 2012-10-21 16:02:02 EDT
Created attachment 631009 [details]
File: syslog
Comment 10 Juan Orti 2012-10-21 16:02:05 EDT
Created attachment 631010 [details]
File: hashmarkername
Comment 11 Juan Orti 2012-10-21 16:02:06 EDT
Created attachment 631011 [details]
File: packaging.log
Comment 12 Juan Orti 2012-10-21 16:02:08 EDT
Created attachment 631012 [details]
File: cmdline_file
Comment 13 Juan Orti 2012-10-21 16:02:10 EDT
Created attachment 631013 [details]
File: release
Comment 14 Juan Orti 2012-10-21 16:02:13 EDT
Created attachment 631014 [details]
File: program.log
Comment 15 Felix Kaechele 2012-11-05 04:52:55 EST
Booting netinstall in a KVM VM

Package: anaconda-18.24
OS Release: Fedora release 18-Beta-TC7
Comment 16 Fedora Update System 2012-12-05 20:55:35 EST
anaconda-18.36-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.36-1.fc18
Comment 17 Fedora Update System 2012-12-06 15:18:07 EST
Package anaconda-18.36-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.36-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19870/anaconda-18.36-1.fc18
then log in and leave karma (feedback).
Comment 18 Fedora Update System 2012-12-07 23:31:06 EST
anaconda-18.36-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.